Obtener SIMs enriquecidos con cursor pagination (optimizado para grandes datasets)
curl --request GET \
--url https://api.raul.ugps.io/api/v1/sim-chip-link/enriched/cursor \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/sim-chip-link/enriched/cursor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/sim-chip-link/enriched/cursor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"iddeta": 123,
"number_phone": "<string>",
"plan": "<string>",
"operator_name": "<string>",
"source": "<string>",
"gps_imei": "<string>",
"gps_name": "<string>",
"client_name": "<string>"
}
],
"nextCursor": {},
"hasMore": true,
"total": 123
}SIMs
Obtener SIMs enriquecidos con cursor pagination (optimizado para grandes datasets)
Usa cursor-based pagination para mejor performance con 10k+ registros. El cursor es el iddeta del ultimo registro de la pagina anterior.
GET
/
api
/
v1
/
sim-chip-link
/
enriched
/
cursor
Obtener SIMs enriquecidos con cursor pagination (optimizado para grandes datasets)
Authorizations
Bearer token authentication
Query Parameters
ID del ultimo registro de la pagina anterior
Required range:
x >= 1Cantidad de registros por pagina (default: 50, max: 100)
Required range:
1 <= x <= 100Buscar por telefono, operador o plan
Filtrar por ID de operador
Required range:
x >= 1Filtrar por ID de plan
Required range:
x >= 1Filtrar por source (manual, chip_catalog_auto)